Subject: Re: d80211: ieee80211_hw handlers in atomic context

From: Ivo van Doorn <[email-masked]>
Date: Wed, 4 Oct 2006 18:07:05 +0200

Hi,

> Ivo told me about a patch for d80211 that moved certain timers to thread
> context, effectively avoiding to call config from timer handlers, but I
> didn't find any trace yet. Is there some modification in this direction
> already scheduled? I'm not necessarily looking for work, at best I would
> just enjoy to use it. ;)

I have found the actual patch:
[PATCH 1/5] d80211: make sleeping in hw->config possible
And was send on august 1st by Jiri to the netdev list.
It was based on a patch by Michael Buesch.

Ivo